package com.mortals.xhx.module.window.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.common.code.ExamineLevelEnum;
import com.mortals.xhx.common.code.FillStatusEnum;
import com.mortals.xhx.module.window.model.WindowWorkmanPerformEntity;
import com.mortals.xhx.module.window.service.WindowWorkmanPerformService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 窗口人员考核汇总登记
*
* @author zxfei
* @date 2024-01-17
*/
@RestController
@RequestMapping("window/workman/perform")
public class WindowWorkmanPerformController extends BaseCRUDJsonBodyMappingController<WindowWorkmanPerformService,WindowWorkmanPerformEntity,Long> {


    public WindowWorkmanPerformController(){
        super.setModuleDesc( "窗口人员考核汇总登记");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "examineLevel", ExamineLevelEnum.getEnumMap());
        this.addDict(model, "fillStatus", FillStatusEnum.getEnumMap());
        super.init(model, context);
    }


}